Plugins/Plugin Compatibility/2.1

来自WordPress中文文档
Zhuozuran讨论 | 贡献2009年3月14日 (六) 09:24的版本 (1个修订)
(差异) ←上一版本 | 最后版本 (差异) | 下一版本→ (差异)
跳转至: 导航搜索

Here we can compile a list of plugin compatibile with WordPress version 2.1.

Note: Please include the version number of the plugin you tested. This will help both WordPress users and plugin developers determine what needs to be addressed.

If you are a Plugin author, please feel free to add, update or change anything.

Back to Plugin Compatibility.

Plugins that work so far, at least

A - C

D - F

G - K

L - O

P - S

T - V

W - Z

Plugins that don't work or are not working properly

If a plugin doesn't work please try to include a link to its SVN directory ( under http://svn.wp-plugins.org/ ) and one of the WP devs might fix it.

  • Adhesive 3.2 Doesn't display Sticky option in Post Status div. (Checks for post.php and not post-new.php) Causes next/previous nav links to disappear. Causes crazy errors on edit post when you save the edit.
  • Auto Links 1.1 Buttons for discovery are not present in Bookmarks section.
  • Brian's Latest Comments 1.5.10 - (I don't think this one isn't currently working with 2.1 alpha2, but that will change eventually. ;) )
  • CatCloud Not working, due to the new way 2.1 handles categories.br /However, Category Tagging does also provide a tag cloud and is WP 2.1 compatible.

!-- Comment Karma has been fixed --

  • Custom Posts Per Page 1.0 I'm not sure about this one, at this time, I don't have a lot of posts on the test blog to work with, but will update about this one later.
  • Front Page Filter 0.9 Extensive use of $table* globals. Results in multiple posts appearing on front page if they are assigned multiple categories.
  • Gengo (multilingual plugin). Current stable version (0.81) works only with versions up to 2.0.7. Author has stated that 0.9 will be WP2.1 compatible.
  • King Links Widget ver 0.65 Worked fine in 2.0.7 fails to display links in 2.1.0. Probably new organization of links confuses it. Hope a new version will be out soon.
  • More Smilies 2.0 smiley icon is not shown in TinyMCE toolbar, neither the smileys button in quicktag bar in plain editor.
  • Own the Feed Currently loads, but is then replaced with the usual Dashboard. This will hopefully be fixed soon.
  • Photopress 0.9.6 the quicktag does not appear on the editor.
  • PXS Mail Form 2.6 - People trying to contact me are getting the following error (in the sidebar of all places) after submitting: Warning: session_destroy(): Trying to destroy uninitialized session in /.../wp-content/plugins/pxsmail.php on line 156
  • Role Manager 1.4.5 Line error on 22 when attempting to rename or edit a role.br /All the errors in Role Manager seem to stem from the fact that the URI for user role editing has changed from .../wp-admin/profile.php?... to .../wp-admin/users.php?.... The two fixes required are (1) edit the constructor at line 23 to test for profile.php or users.php as appropriate, and (2) edit function manage_roles_uri() at line 651 to return .../wp-admin/profile.php?... or .../wp-admin/users.php?... as appropriate.br /I have not done exhaustive tests on this yet, but when I have I will post an edited version if nobody else has got there first. Dan Hammbr /br /*New*: Someone has made a fixed version (v2.0.0) that works on wp 2.0.x and 2.1: see herebr /*Update*: Plugin updated to v2.0.5 fixing some outstanding bugs, should this be moved to the fixed section now?
  • Ultimate Category Cloud 1.0 - Doesn't work for 2.1 due to changes to the way Categories are handled. Solution: Ultimate Category Cloud 2.0 will be released very soon.
  • Viper's Video Quicktags 3.0.0 - doesn't add buttons to the WYSIWYG editor, but otherwise works (adds buttons to the standard editor). Complete recode featuring WYSIWYG buttons nearing completion. --Viper007Bond 13:06, 26 Jan 2007 (UTC)
  • WP Campaign Monitor 0.9.1 beta Stops the WYSIWYG editor's new visual and code tabs from working. (Easily fixed if prototype.js is updated to latest).

Plugins that have unknown compatibility status

If there is no way to check if a plugin is working or not, post here. Maybe some other user / plugin author could check it.